Bug 818836 - ipa pwpolicy-find displays incorrect max and min lifetime.
ipa pwpolicy-find displays incorrect max and min lifetime.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa (Show other bugs)
6.3
Unspecified Unspecified
high Severity unspecified
: rc
: ---
Assigned To: Rob Crittenden
Namita Soman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-04 02:55 EDT by Gowrishankar Rajaiyan
Modified: 2014-02-24 18:06 EST (History)
3 users (show)

See Also:
Fixed In Version: ipa-3.0.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 04:12:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gowrishankar Rajaiyan 2012-05-04 02:55:22 EDT
Description of problem:


Version-Release number of selected component (if applicable):
ipa-server-2.2.0-12.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
ipa pwpolicy-find
  
Actual results:
  Group: global_policy
  Max lifetime (days): 7776000     <<<<<<<<<<
  Min lifetime (hours): 3600       <<<<<<<<<<
  History size: 0
  Character classes: 0
  Min length: 8
  Max failures: 6
  Failure reset interval: 60
  Lockout duration: 600
----------------------------
Number of entries returned 1
----------------------------


Expected results:
  Max lifetime (days): 90
  Min lifetime (hours): 1


Additional info:
"ipa pwpolicy-show" works as expected.

[root@primenova ~]# ipa pwpolicy-show global_policy
  Group: global_policy
  Max lifetime (days): 90
  Min lifetime (hours): 1
  History size: 0
  Character classes: 0
  Min length: 8
  Max failures: 6
  Failure reset interval: 60
  Lockout duration: 600
[root@primenova ~]#
Comment 2 Martin Kosek 2012-05-04 03:52:46 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/2726
Comment 3 Martin Kosek 2012-05-28 10:04:25 EDT
Fixed upstream:
master: https://fedorahosted.org/freeipa/changeset/ae1257517064362188b893a939cb336c48097256
Comment 5 Jenny Galipeau 2012-09-25 11:59:52 EDT
regression test automated in password policy test suite
Comment 8 Scott Poore 2012-11-09 16:56:47 EST
Verified.

Version ::

ipa-server-3.0.0-7.el6.x86_64

Manual Test Results ::

[root@rhel6-1 yum.local.d]# ipa pwpolicy-find
  Group: global_policy
  Max lifetime (days): 90
  Min lifetime (hours): 1
  History size: 0
  Character classes: 0
  Min length: 8
  Max failures: 6
  Failure reset interval: 60
  Lockout duration: 600
----------------------------
Number of entries returned 1
----------------------------
Comment 10 errata-xmlrpc 2013-02-21 04:12:48 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0528.html

Note You need to log in before you can comment on or make changes to this bug.